package ExportView;

import java.applet.Applet;
import java.util.Properties;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.util.IExportThreadListener;

public class ExportView extends Applet implements IExportThreadListener {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {

		try {

			ExportView report = new ExportView();
			report.exportView(null);

		} catch (Exception ex) {

			ex.printStackTrace();

		}

	}

	//	creates report and return it
	void exportView(Object parent) throws Exception {

		//		Turn off ReportServer as it is not needed.
		QbReport.setEspressManagerUsed(false);

		//		Create the colinfo array to be used in the QbReport constructor
		QbReport report = new QbReport(parent, "ExportView.rpt");

		report.setMultiPageExp(true);
		report.export(QbReport.VIEW, "ExportView", new Properties(), this);
		System.out.println("DONE!");

	}

	public void endAction() {
		System.out.println("END ACTION");
	}

	public void firstPageFinishedAction() {
		System.out.println("FIRST PAGE FINISHED ACTION");
		quadbase.reportdesigner.PageViewer.Viewer.main(new String[] { "ExportView.view" });
	}

}
